This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1030238 - Unable to launch jenkins slave
Unable to launch jenkins slave
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers (Show other bugs)
2.0.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Brenton Leanhardt
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-14 03:41 EST by nsun
Modified: 2017-03-08 12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-16 04:11:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nsun 2013-11-14 03:41:30 EST
Description of problem:
Jenkins can't be launched  with app which enabled jenkins-client.

Version-Release number of selected component (if applicable):
puddle: [2.0/2013-11-13.3] 

How reproducible:
aways

Steps to Reproduce:
1. Create one app with --enable-jenkins parameter
2. Modified app's repo and git push it

Actual results:
Warning: Permanently added 'php3-cha1q1.ose-1113.com.cn,10.4.59.171' (RSA) to the list of known hosts.
Counting objects: 3, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (2/2), done.
Writing objects: 100% (2/2), 211 bytes, done.
Total 2 (delta 1), reused 0 (delta 0)
remote: Executing Jenkins build.
remote: 
remote: You can track your build at https://j1-cha1q1.ose-1113.com.cn/job/php3-build
remote: 
remote: Waiting for build to schedule.............................
remote: **BUILD FAILED/CANCELLED**
remote: Please see the Jenkins log for more details via 'rhc tail'
remote: !!!!!!!!
remote: Deployment Halted!
remote: If the build failed before the deploy step, your previous
remote: build is still running.  Otherwise, your application may be
remote: partially deployed or inaccessible.
remote: Fix the build and try again.
remote: !!!!!!!!
remote: An error occurred executing 'gear postreceive' (exit code: 1)
remote: Error message: Failed to execute: 'control post-receive' for /var/lib/openshift/52847b662ca05ebb490008ed/jenkins-client
remote: 
remote: For more details about the problem, try running the command again with the '--trace' option.
To ssh://52847b662ca05ebb490008ed@php3-cha1q1.ose-1113.com.cn/~/git/php3.git/
   bd8ad59..8b823cd  master -> master

Jenkins server's log :
<---snip--->
INFO: Creating slave with 15mins time-to-live
Nov 14, 2013 12:47:49 AM com.openshift.internal.client.RestService request
INFO: Requesting GET with protocol 1.2 on https://broker.ose-1113.com.cn/broker/rest/cartridges
Nov 14, 2013 12:47:49 AM hudson.plugins.openshift.OpenShiftCloud provision
WARNING: Caught com.openshift.client.OpenShiftException: Cartridge for redhat-php-5.3 not found. Will retry 4 more times before canceling build.
Nov 14, 2013 12:47:54 AM hudson.plugins.openshift.OpenShiftCloud hasCapacity
INFO: Checking capacity
<---snip--->

Expected results:
Successed 

Additional info:
Comment 2 Brenton Leanhardt 2013-11-14 14:33:46 EST
This is related to Bug #1025451.  On a side note there were a few fixes made to the openshift-java-client for OSE.  Those have been resolved the the new client build is happening as part of https://issues.jboss.org/browse/JBIDE-15879.  I we rebuilt the jenkins plugin as soon as we have the official build from the JBIDE team.
Comment 4 nsun 2013-11-14 22:26:30 EST
Verified on puddle 2.0/2013-11-14.3

Note You need to log in before you can comment on or make changes to this bug.